Subject: bug#6830: widget-complete bad completions in :type 'file

From: Chong Yidong <[email-masked]>
Date: Sat, 04 Sep 2010 21:47:43 -0400

Lennart Borgman <[email-masked]> writes:

> I just enter any text in the file field, for example "aaa" and then
> with point still in this field I do "M-x widget-complete". This gives
> me all of the files in default-directory in the *Completions* buffer.
>
> Don't you see the same? What Emacs are you testing with?

If I enter "~/aaa" in the widget field and there is no file starting
with "aaa" in my home directory, M-TAB does nothing except for
displaying "No match" in the echo area.

This is with the latest trunk, on GNU/Linux.